Download it now!
Bug 129789 - FILEOPEN: Bitmap set as comment areas are lost after saveing/reloading the document for hidden comments
Summary: FILEOPEN: Bitmap set as comment areas are lost after saveing/reloading the do...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: odf target:7.0.0 target:6.4.1 target:...
Keywords: bibisected, bisected, dataLoss, regression
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2020-01-04 16:34 UTC by pierre-yves samyn
Modified: 2020-02-08 09:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bitmap lost in A9 (hidden comment ) (51.56 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-01-04 16:37 UTC, pierre-yves samyn
Details
Hidden Comment with bitmap before saving (27.29 KB, image/png)
2020-01-04 16:39 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2020-01-04 16:34:53 UTC
Description:
After saveing/reloading a spreadsheet bitmaps set as areas for comments are lost if the comment is hidden. The text of the comment is kept.

Steps to Reproduce:
1. File> New> Spreadsheet
2. Right Click A1> Insert Comment> type "foo"
3. Right Click A1> Show Comment
4. Right Click the comment> Area> Bitmap> Select one> Ok
5. Repeat from 2 to 4 to insert a comment with bitmap area in another cell, e.g. A9
6. Right Click A9> Hide Comment
7. File> Save> Close> Reload

hover A9 with the mouse.





Actual Results:
no more bitmap...

Expected Results:
comment is displayed with the bitmap



Reproducible: Always


User Profile Reset: No



Additional Info:
My environment : Windows 7/64 & Version: 6.3.4.2 (x64)
Build ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-US
Calc: threaded

Also reproduce on Ask FR : https://ask.libreoffice.org/fr/question/223735/fichier-bitmap-dans-commentaire-feuille-calc/
Comment 1 pierre-yves samyn 2020-01-04 16:37:37 UTC
Created attachment 156929 [details]
bitmap lost in A9 (hidden comment )
Comment 2 pierre-yves samyn 2020-01-04 16:39:04 UTC
Created attachment 156930 [details]
Hidden Comment with bitmap before saving
Comment 3 Roman Kuznetsov 2020-01-11 09:25:50 UTC
confirm in

Версия: 6.4.0.2
ID сборки: 08d19fecdc7a2298d051e19cfdb7c35544855fc3
Потоков ЦП: 4; ОС: Mac OS X 10.15.2; Отрисовка ИП: по умолчанию; VCL: osx; 
Локаль: ru-RU (ru_RU.UTF-8); Язык интерфейса: ru-RU
Calc: threaded
Comment 4 Roman Kuznetsov 2020-01-11 10:27:15 UTC
don't repro in

Version: 5.4.7.2
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 4; OS: Mac OS X 10.15.2; UI render: default; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group

so it's a regression
Comment 5 Xisco Faulí 2020-01-13 15:16:50 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b4a1b89cc84086dfd6f471d7f23fecf0ec8f3331

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-04-25 16:36:10 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-04-26 15:11:03 +0200
commit	b4a1b89cc84086dfd6f471d7f23fecf0ec8f3331 (patch)
tree	d297beddacbb3adeee0b4dbec54c3431c2ddb4ba
parent	f4ea84ff370d33a02a8fb1d6405b9d964491258e (diff)
tdf#119650 slow saving spreadsheet with comments, part 2

Bisected with: bibisect-linux64-6.3 

Adding Cc: to Noel Grandin
Comment 6 Commit Notification 2020-02-04 13:41:46 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/174ba963e05c9dedd57c2027f8656fe1f17030c2

tdf#129789 bitmap in comment lost on load

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-02-05 15:45:36 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: d41d7ecb60fb38204fafcb1aa4595992721855e6
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-02-06 06:01:28 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/0712202b5a62ccb095311b6610b92a19b8cb9f0a

tdf#129789 bitmap in comment lost on load

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-02-06 06:01:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9ffcc046a3f6afc659dfbe296507204b2e8fa670

tdf#129789 bitmap in comment lost on load

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-02-07 10:10:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-1":

https://git.libreoffice.org/core/commit/8a17c14c856c167229bfefef2e6ea6b6e8ac201a

tdf#129789 bitmap in comment lost on load

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-02-07 10:10:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-5":

https://git.libreoffice.org/core/commit/3535578722ff54988c9b07790fce366579abb328

tdf#129789 bitmap in comment lost on load

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-02-07 17:14:55 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8d7b3398fc1aadb5411060b222af330cde40c72c

tdf#129789: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.